$INCLUDE: 'C:\FG\FASTGRAF.FI'

      PROGRAM MAIN

      INTEGER*1 SOURCE(2560), DEST(3200)

C  Initialize the video environment

      CALL FG_INITPM
      CALL FG_SETMODE(19)

C  Draw a blue rectangle with a thick white border

      CALL FG_SETCOLOR(9)
      CALL FG_RECT(0,63,0,39)
      CALL FG_SETCOLOR(15)
      CALL FG_BOXDEPTH(5,5)
      CALL FG_BOX(0,63,0,39)
      CALL FG_MOVE(32,20)
      CALL FG_JUSTIFY(0,0)
      CALL FG_PRINT('SHEAR',5)

C  Retrieve the rectangle as a mode-specific bitmap

      CALL FG_MOVE(0,39)
      CALL FG_GETIMAGE(SOURCE,64,40)
      CALL FG_WAITKEY

C  Shear the bitmap horizontally and to the right 16 pixels
C  then display it in the lower left corner of the screen

      CALL FG_MOVE(0,199)
      CALL FG_SHEAR(SOURCE,DEST,64,40,80,1)
      CALL FG_PUTIMAGE(DEST,80,40)
      CALL FG_WAITKEY

C  Restore 80x25 text mode and exit

      CALL FG_SETMODE(3)
      CALL FG_RESET
 
      STOP ' '
      END
